#
# spec file for package supportutils-plugin-ses
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 7.1+git.1674542629.ec200fa

Name:           supportutils-plugin-ses
Url:            https://github.com/SUSE/supportutils-plugin-ses
Version:        7.1+git.1674542629.ec200fa
Release:        0
Source:         %{name}-%{version}.tar.gz
# to make check_if_valid_source_dir happy
Source1:        README
Summary:        Supportconfig Plugin for SUSE Enterprise Storage
License:        GPL-2.0
Group:          Documentation/SUSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  supportconfig-plugin-resource
Requires:       supportconfig-plugin-resource
Requires:       supportconfig-plugin-tag
Requires:       jq
Supplements:    ceph-common

%description
Extends supportconfig functionality to include system information about
SUSE Enterprise Storage. The supportconfig saves the plugin output to
plugin-ses.txt.

%prep
%setup -q

%build
for file in %{name}.spec %{name}.changes; do
    if ! [ -e $file ]; then
        cat <<EOF >&2
Error: $file was not found in
%{SOURCE0}

This means it was probably built from a manual invocation
of 'osc service disabledrun'.  Please re-build via 'make'
in order to ensure it meets NTS supportconfig plugin standards.
EOF
        exit 1
    fi
done

gzip -9f ses-plugin.8

%install
install -d %{buildroot}/usr/lib/supportconfig/plugins
install -d %{buildroot}/usr/lib/supportconfig/resources
install -d %{buildroot}/usr/lib/supportconfig/resources/ses
install -d %{buildroot}/usr/share/man/man8
install -m 0544 ses %{buildroot}/usr/lib/supportconfig/plugins
install -m 0444 ses-resources/cephadm.rc %{buildroot}/usr/lib/supportconfig/resources/ses/
install -m 0444 ses-resources/helpers.sh %{buildroot}/usr/lib/supportconfig/resources/ses/
install -m 0444 ses-resources/rook.rc %{buildroot}/usr/lib/supportconfig/resources/ses/
install -m 0444 ses-resources/rook-helpers.sh %{buildroot}/usr/lib/supportconfig/resources/ses/
install -m 0444 ses-resources/rpm-list %{buildroot}/usr/lib/supportconfig/resources/ses/
install -m 0644 ses-plugin.8.gz %{buildroot}/usr/share/man/man8/ses-plugin.8.gz

%files
%defattr(-,root,root)
%doc LICENSE
/usr/lib/supportconfig/plugins
/usr/lib/supportconfig/resources/ses
/usr/share/man/man8/ses-plugin.8.gz

%changelog
